summaryrefslogtreecommitdiffstats
path: root/vendor/libm/ci/run.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-17 12:02:58 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-17 12:02:58 +0000
commit698f8c2f01ea549d77d7dc3338a12e04c11057b9 (patch)
tree173a775858bd501c378080a10dca74132f05bc50 /vendor/libm/ci/run.sh
parentInitial commit. (diff)
downloadrustc-698f8c2f01ea549d77d7dc3338a12e04c11057b9.tar.xz
rustc-698f8c2f01ea549d77d7dc3338a12e04c11057b9.zip
Adding upstream version 1.64.0+dfsg1.upstream/1.64.0+dfsg1
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'vendor/libm/ci/run.sh')
-rwxr-xr-xvendor/libm/ci/run.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/vendor/libm/ci/run.sh b/vendor/libm/ci/run.sh
new file mode 100755
index 000000000..42c241645
--- /dev/null
+++ b/vendor/libm/ci/run.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+set -ex
+TARGET=$1
+
+cargo test --target $TARGET
+cargo test --target $TARGET --release
+
+cargo test --features 'checked musl-reference-tests' --target $TARGET
+
+cargo test --features 'checked musl-reference-tests' --target $TARGET --release